<?php

class Marketkingpro_Activator {

	public static function activate() {

		// clear marketkingpro transients
		global $wpdb;
		$plugin_options = $wpdb->get_results( "SELECT option_name FROM $wpdb->options WHERE option_name LIKE '%transient_marketkingpro%'" );
		foreach( $plugin_options as $option ) {
		    delete_option( $option->option_name );
		}
		wp_cache_flush();

		// prevent option update issues due to caching
		wp_cache_delete ( 'alloptions', 'options' );


		// Trigger post types and endpoints functions
		require_once ( MARKETKINGPRO_DIR . 'admin/class-marketking-pro-admin.php' );
		require_once ( MARKETKINGPRO_DIR . 'public/class-marketking-pro-public.php' );
		$adminobj = new Marketkingpro_Admin;
		$publicobj = new Marketkingpro_Public;
		$adminobj->marketking_register_post_type_custom_option();
		$adminobj->marketking_register_post_type_custom_field();
		
		// Flush rewrite rules
		if (apply_filters('marketkingpro_flush_permalinks', true)){
			// Flush rewrite rules
			flush_rewrite_rules();
		}

		// Set admin notice state to enabled ('activate woocommerce' notice)
		update_user_meta(get_current_user_id(), 'marketkingpro_dismiss_activate_woocommerce_notice', 0);
		
	}

}
