<?php
/*
/**
 * Plugin Name:       MarketKing Pro
 * Plugin URI:        woocommerce-multivendor.com
 * Description:       MarketKing is the complete solution for turning WooCommerce into a powerful multivendor marketplace.
 * Version:           1.0.61
 * Author:            WebWizards
 * Author URI:        webwizards.dev
 * Text Domain:       marketking
 * Domain Path:       /languages
 * WC requires at least: 3.0.0
 * WC tested up to: 5.8.0
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

define( 'MARKETKINGPRO_DIR', plugin_dir_path( __FILE__ ) );

function marketkingpro_activate() {
	require_once MARKETKINGPRO_DIR . 'includes/class-marketking-pro-activator.php';
	Marketkingpro_Activator::activate();

}
register_activation_hook( __FILE__, 'marketkingpro_activate' );


require_once ( MARKETKINGPRO_DIR . 'includes/class-marketking-pro-helper.php' );
require MARKETKINGPRO_DIR . 'includes/class-marketking-pro.php';

// Load plugin language
add_action( 'plugins_loaded', 'marketkingpro_load_language');
function marketkingpro_load_language() {
	load_plugin_textdomain( 'marketking', FALSE, basename( dirname( __FILE__ ) ) . '/languages');
}

// Begins execution of the plugin.
function marketkingpro_run() {
	$plugin = new Marketkingpro();
}

marketkingpro_run();

function marketkingpro() {
    return Marketkingpro_Helper::init();
}
