<?php
if (intval(get_option( 'marketking_enable_coupons_setting', 1 )) === 1){
    if(marketking()->vendor_has_panel('coupons')){

        $checkedval = 0;
        if (marketking()->is_vendor_team_member()){
            $checkedval = intval(get_user_meta(get_current_user_id(),'marketking_teammember_available_panel_editcoupons', true));
        }

        // either not team member, or team member with permission to add
        if (!marketking()->is_vendor_team_member() || $checkedval === 1){
            ?>
            <div class="nk-content marketking_edit_coupon_page">
                <div class="container-fluid">
                    <div class="nk-content-inner">
                        <div class="nk-content-body">
                            <form id="marketking_save_coupon_form">
                            <?php

                            $prod = sanitize_text_field(get_query_var('pagenr', 1));
                            $post = 0;
                            if (!empty($prod)){
                                $post = get_post($prod);
                                if (!is_a($post, 'WP_Post')){
                                    $post = 0;
                                }
                            }

                            if ($post === 0){
                                $text = esc_html__('Save New Coupon','marketking');
                                $icon = 'ni-plus';
                                $actionedit = 'add';
                            } else {
                                $text = esc_html__('Update Coupon','marketking');
                                $icon = 'ni-edit-fill';
                                $actionedit = 'edit';
                                $coupon = new WC_Coupon($prod);
                            }

                            ?>
                            <input id="marketking_edit_coupon_action_edit" type="hidden" value="<?php echo esc_attr($actionedit);?>">
                            <div class="nk-block-head nk-block-head-sm">
                                <div class="nk-block-between">
                                    <div class="nk-block-head-content marketking_status_text_title">
                                        <h3 class="nk-block-title page-title "><?php esc_html_e('Edit Coupon','marketking'); ?></h3>
                                        <div class="marketking_edit_status_container">
                                            <?php
                                                if ($post !== 0){
                                                    $status = get_post_status($prod);
                                                } else {
                                                    $status = 'publish';
                                                }

                                            ?>
                                            <p class="marketking_status_text">- &nbsp;</p>
                                            <select name="marketking_edit_coupon_status" id="marketking_edit_coupon_status">
                                                <option value="publish" <?php selected($status, 'publish', true);?>><?php esc_html_e('Published');?></option>
                                                <option value="draft" <?php selected($status, 'draft', true);?>><?php esc_html_e('Draft');?></option>
                                            </select>&nbsp;
                                        </div>
                                    </div><!-- .nk-block-head-content -->
                                    <div class="nk-block-head-content">
                                        <div class="toggle-wrap nk-block-tools-toggle">
                                            <a href="#" class="btn btn-icon btn-trigger toggle-expand mr-n1" data-target="pageMenu"><em class="icon ni ni-more-v"></em></a>
                                            <div class="toggle-expand-content" data-content="pageMenu">
                                                <ul class="nk-block-tools g-3">
                                                    <input type="hidden" id="marketking_save_coupon_button_id" value="<?php echo esc_attr($prod);?>">
                                                    <li class="nk-block-tools-opt">
                                                        <div id="marketking_save_coupon_button">
                                                            <a href="#" class="toggle btn btn-icon btn-primary d-md-none"><em class="icon ni <?php echo esc_attr($icon);?>"></em></a>
                                                            <a href="#" class="toggle btn btn-primary d-none d-md-inline-flex"><em class="icon ni <?php echo esc_attr($icon);?>"></em><span><?php echo esc_html($text); ?></span></a>
                                                        </div>
                                                        <?php
                                                        if ($post !== 0){
                                                            // additional buttons for View coupon and Remove coupon
                                                            ?>
                                                            <div class="dropdown">
                                                                <a href="#" class="dropdown-toggle btn btn-icon btn-gray btn-trigger ml-2 text-white pl-2 pr-3" data-toggle="dropdown"><em class="icon ni ni-more-h"></em><?php esc_html_e('More','marketking'); ?></a>
                                                                <div class="dropdown-menu dropdown-menu-right">
                                                                    <ul class="link-list-opt no-bdr">
                                                                        <li><a href="#" class="toggle marketking_delete_button_coupon" value="<?php echo esc_attr($prod);?>"><em class="icon ni ni-trash"></em><span><?php esc_html_e('Delete coupon','marketking'); ?></span></a></li>
                                                                    </ul>
                                                                </div>
                                                            </div>
                                                            <?php
                                                        }
                                                        ?>
                                                    </li>
                                                </ul>
                                            </div>
                                        </div>
                                    </div><!-- .nk-block-head-content -->
                                </div><!-- .nk-block-between -->
                            </div><!-- .nk-block-head -->

                            <!-- coupon code -->
                            <?php
                            if($post!==0){
                                $code = $coupon->get_code();
                            } else {
                                $code = '';
                            }
                            ?>
                            <div><div class="form-group"><div class="form-control-wrap"><input type="text" class="form-control form-control-lg form-control-outlined" id="marketking_coupon_code" value="<?php echo esc_attr($code);?>" required><label class="form-label-outlined" for="outlined-lg"><?php esc_html_e('Coupon Name','marketking');?></label></div></div></div>

                            <!-- coupon DATA -->
                            <div id="marketking_edit_product_data_container" class="postbox-container">
                                <div id="normal-sortables" class="meta-box-sortables ui-sortable">
                                    <div id="woocommerce-coupon-data" class="postbox ">
                                        <div class="postbox-header">
                                            <h2 class="hndle ui-sortable-handle">
                                                <?php esc_html_e("Coupon data",'marketking');?>
                                            </h2>
                                        </div>
                                        <div class="inside">
                                            <?php
                                            if (!is_object($post)){
                                                global $post;
                                                $post = new stdClass();
                                                $post->ID = 0;
                                            }
                                            WC_Meta_Box_Coupon_Data::output($post); 
                                            ?>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <textarea id="woocommerce-coupon-description" name="excerpt" cols="5" rows="2" placeholder="<?php esc_attr_e( 'Description (optional)', 'woocommerce' ); ?>"><?php 

                                if($actionedit === 'edit'){
                                    echo esc_html($post->post_excerpt);
                                }
                             ?></textarea>



                            <?php
                            
                            ?>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <?php
        }
    }
}
?>