<?php
if (defined('B2BKING_DIR') && defined('MARKETKINGPRO_DIR') && intval(get_option('marketking_enable_b2bkingintegration_setting', 1)) === 1){
	if (intval(get_option('b2bking_show_dynamic_rules_vendors_setting_marketking', 1)) === 1){
		if(marketking()->vendor_has_panel('b2bkingrules')){
			$user_id = marketking()->get_data('user_id');
			$currentuser = new WP_User($user_id);
			
		    ?>
		    <div class="nk-content marketking_rules_page">
		        <div class="container-fluid">
		            <div class="nk-content-inner">
		                <div class="nk-content-body">
		                	<div class="nk-block-head nk-block-head-sm">
	    	                    <div class="nk-block-between">
	    	                        <div class="nk-block-head-content">
	    	                            <h3 class="nk-block-title page-title"><?php esc_html_e('Rules','marketking');?></h3>
	    	                        </div><!-- .nk-block-head-content -->
	    	                        <div class="nk-block-head-content">
	    	                            <div class="toggle-wrap nk-block-tools-toggle">
	    	                                <a href="#" class="btn btn-icon btn-trigger toggle-expand mr-n1" data-target="pageMenu"><em class="icon ni ni-more-v"></em></a>
	    	                                <div class="toggle-expand-content" data-content="pageMenu">
	    	                                    <ul class="nk-block-tools g-3">
	    	                                        <li>
	    	                                            <div class="form-control-wrap">
	    	                                                <div class="form-icon form-icon-right">
	    	                                                    <em class="icon ni ni-search"></em>
	    	                                                </div>
	    	                                                <input type="text" class="form-control" id="marketking_offers_search" placeholder="Search rules...">
	    	                                            </div>
	    	                                        </li>
	    	                                        <li class="nk-block-tools-opt">
	    	                                            <a href="#b2bking_marketking_new_rule_container" rel="modalzz:open" class="btn btn-primary d-none d-md-inline-flex"><em class="icon ni ni-plus"></em><span><?php esc_html_e('New Rule','b2bkingmarketking');?></span></a>
	    	                                        </li>
	    	                                    </ul>
	    	                                </div>
	    	                            </div>
	    	                        </div><!-- .nk-block-head-content -->
	    	                    </div><!-- .nk-block-between -->
	    	                </div>

		                    <div class="nk-block">
		                        <div class="row g-gs">
		                        	<div class="col-xxl-12">
			                            <article class="messaging-content-area">
						                  	<div id="b2bkingmarketking_dashboard_offers_table_container">
						                  		<table id="b2bkingmarketking_dashboard_offers_table">
						                  		        <thead>
						                  		            <tr>
						                  		                <th><?php esc_html_e('Rule Name','b2bkingmarketking'); ?></th>
						                  		                <th><?php esc_html_e('Rule Type','b2bkingmarketking'); ?></th>
						                  		                <th><?php esc_html_e('Actions','b2bkingmarketking'); ?></th>
						                  		            </tr>
						                  		        </thead>
						                  		        <tbody>
						                  		        	<?php
						                  		        	// get all vendor rules
						                  		        	$vendor_rules = get_user_meta($user_id,'b2bking_marketking_vendor_rules_list_ids', true);
						                  		        	if (!empty($vendor_rules)){
						                  		        		$ids_array=explode(',',$vendor_rules);
						                  		        		foreach($ids_array as $rule_id){
						                  		        			if (!empty($rule_id) && $rule_id !== NULL){
							                  		        			// title
							                  		        			$title = get_the_title($rule_id);
							                  		        			$rule_name = get_post_meta($rule_id, 'b2bking_rule_what', true);
							                		        			switch ( $rule_name ){
							                		        				case 'discount_amount':
							                		        				$rule_name = esc_html__('Discount Amount','b2bkingmarketking');
							                		        				break;

							                		        				case 'discount_percentage':
							                		        				$rule_name = esc_html__('Discount Percentage','b2bkingmarketking');
							                		        				break;

							                		        				case 'fixed_price':
							                		        				$rule_name = esc_html__('Fixed Price','b2bkingmarketking');
							                		        				break;

							                		        				case 'hidden_price':
							                		        				$rule_name = esc_html__('Hidden Price','b2bkingmarketking');
							                		        				break;

							                		        				case 'free_shipping':
							                		        				$rule_name = esc_html__('Free Shipping','b2bkingmarketking');
							                		        				break;

							                		        				case 'minimum_order':
							                		        				$rule_name = esc_html__('Minimum Order','b2bkingmarketking');
							                		        				break;

							                		        				case 'maximum_order':
							                		        				$rule_name = esc_html__('Maximum Order','b2bkingmarketking');
							                		        				break;

							                		        				case 'required_multiple':
							                		        				$rule_name = esc_html__('Required Multiple','b2bkingmarketking');
							                		        				break;

							                		        				case 'tax_exemption_user':
							                		        				$what = esc_html__('Tax Exemption','b2bkingmarketking');
							                		        				break;

							                		        				case 'tax_exemption':
							                		        				$rule_name = esc_html__('Zero Tax Product','b2bkingmarketking');
							                		        				break;

							                		        				case 'add_tax_percentage':
							                		        				$rule_name = esc_html__('Add Tax / Fee (Percentage)','b2bkingmarketking');
							                		        				break;

							                		        				case 'add_tax_amount':
							                		        				$rule_name = esc_html__('Add Tax / Fee (Amount)','b2bkingmarketking');
							                		        				break;

							                		        				case 'replace_prices_quote':
							                		        				$rule_name = esc_html__('Replace Cart with Quote System','b2bkingmarketking');
							                		        				break;

							                		        				case 'set_currency_symbol':
							                		        				$rule_name = esc_html__('Set Currency Symbol','b2bkingmarketking');
							                		        				break;

							                		        				case 'payment_method_minimum_order':
							                		        				$rule_name = esc_html__('Payment Method Minimum Order','b2bkingmarketking');
							                		        				break;
							                		        			}

							                  		        			?>
							                  		        			<tr>
							                  		        			    <td><?php echo esc_html($title); ?></td>
							                  		        			    <td><?php echo esc_html($rule_name); ?></td>
							                  		        			    <td><a href="#b2bking_marketking_new_rule_container" rel="modalzz:open"><button class="btn btn-secondary marketking-btn marketking-btn-default b2bking_rule_edit_table" type="button" value="<?php echo esc_attr($rule_id);?>"><?php esc_html_e('Edit','b2bkingmarketking');?></button></a>&nbsp;<button class="btn btn-secondary marketking-btn marketking-btn-default b2bking_rule_delete_table" type="button" value="<?php echo esc_attr($rule_id);?>"><?php esc_html_e('Delete','b2bkingmarketking');?></button></td>
							                  		        			</tr>
							                  		        			<?php
							                  		        		}
						                  		        		}
						                  		        	}
						                  		        	?>
						                  		        </tbody>
						                  		        <tfoot>
						                  		            <tr>
							             		                <th><?php esc_html_e('Rule Name','b2bkingmarketking'); ?></th>
							             		                <th><?php esc_html_e('Rule Type','b2bkingmarketking'); ?></th>
							             		                <th><?php esc_html_e('Actions','b2bkingmarketking'); ?></th>
							             		            </tr>
						                  		        </tfoot>
						                  		    </table>
						                  		</div>
						                </article>

						                <div id="b2bking_marketking_new_rule_container" class="modalzz">
						                	<br>
						                	<div class="b2bking_dynamic_rule_metabox_content_container">
						                		<div class="b2bking_rule_select_container">
						                			<div class="b2bking_rule_label"><?php esc_html_e('Rule type:','b2bkingmarketking'); ?></div>
						                			<select id="b2bking_rule_select_what" name="b2bking_rule_select_what">
						                				<optgroup label="<?php esc_attr_e('Basic Rules', 'b2bkingmarketking'); ?>"> 
						                					<option value="discount_amount"><?php esc_html_e('Discount Amount','b2bkingmarketking'); ?></option>
						                					<option value="discount_percentage"><?php esc_html_e('Discount Percentage','b2bkingmarketking'); ?></option>
						                					<option value="fixed_price"><?php esc_html_e('Fixed Price','b2bkingmarketking'); ?></option>
						                					<option value="hidden_price"><?php esc_html_e('Hidden Price','b2bkingmarketking'); ?></option>
						                					<option value="minimum_order"><?php esc_html_e('Minimum Order','b2bkingmarketking'); ?></option>
						                					<option value="maximum_order"><?php esc_html_e('Maximum Order','b2bkingmarketking'); ?></option>
						                					<option value="required_multiple"><?php esc_html_e('Required Multiple','b2bkingmarketking'); ?></option>
						                				</optgroup>
						                			</select>
						                		</div>
							                	<!-- content section -->
							                	<div class="b2bking_rule_select_container" id="b2bking_container_applies">
							                		<div class="b2bking_rule_label"><?php esc_html_e('Applies to:','b2bkingmarketking'); ?></div>
							                		
							                		<select id="b2bking_rule_select_applies" name="b2bking_rule_select_applies">
							                			<optgroup label="<?php esc_attr_e('Cart', 'b2bkingmarketking'); ?>" id="b2bking_cart_total_optgroup" >
							                					<option value="multiple_options"><?php esc_html_e('Select multiple products','b2bkingmarketking'); ?></option>
							                			</optgroup>
							                			<optgroup label="<?php esc_attr_e('Products (individual)', 'b2bkingmarketking'); ?>">
							                				<?php
							                				// Get all products
							                				$products = get_posts(array( 
							                					'post_type' => 'product',
							                					'post_status'=>'publish',
							                					'author'=> $user_id, 
							                					'numberposts' => -1,
							                					'fields' => 'ids',
							                				));

							                				foreach ($products as $product){
							               						$productobj = wc_get_product($product);
							                					echo '<option value="product_'.esc_attr($product).'">'.esc_html($productobj->get_name()).'</option>';
							                				}
							                				?>
							                			</optgroup>
							                			<optgroup label="<?php esc_attr_e('Products (Individual Variations)', 'b2bkingmarketking'); ?>">
							                				<?php
							                				// Get all products
							                				$products = get_posts(array( 
							                					'post_type' => 'product_variation',
							                					'post_status'=>'publish',
							                					'author'=> $user_id, 
							                					'numberposts' => -1,
							                					'fields' => 'ids',
							                				));

							                				foreach ($products as $product){
							                					$productobj = wc_get_product($product);
							                					echo '<option value="product_'.esc_attr($product).'">'.esc_html($productobj->get_name()).'</option>';
							                				}
							                				?>
							                			</optgroup>
							                		</select>
							                	</div>


							                	
							                	<div class="b2bking_rule_select_container">
							                		<div class="b2bking_rule_label"><?php esc_html_e('For who:','b2bkingmarketking'); ?></div>
							                		<select id="b2bking_rule_select_who" name="b2bking_rule_select_who">
							                			<optgroup label="<?php esc_attr_e('Everyone', 'b2bkingmarketking'); ?>">
							                				<option value="all_registered"><?php esc_html_e('All registered users','b2bkingmarketking'); ?></option>
							                				<option value="everyone_registered_b2b"><?php esc_html_e('All registered B2B users','b2bkingmarketking'); ?></option>
							                				<option value="everyone_registered_b2c"><?php esc_html_e('All registered B2C users','b2bkingmarketking'); ?></option>
							                				<option value="user_0"><?php esc_html_e('All guest users (logged out)','b2bkingmarketking'); ?></option>
							                				<option value="multiple_options"><?php esc_html_e('Select multiple options','b2bkingmarketking'); ?></option>
							                			</optgroup>
							                			<optgroup label="<?php esc_attr_e('B2B Groups', 'b2bkingmarketking'); ?>">
							                				<?php
							                				// Get all groups
							                				$groups = get_posts( array( 'post_type' => 'b2bking_group','post_status'=>'publish','numberposts' => -1) );
							                				foreach ($groups as $group){
							                					echo '<option value="group_'.esc_attr($group->ID).'">'.esc_html($group->post_title).'</option>';
							                				}
							                				?>
							                			</optgroup>
							                		</select>
							                	</div>
							                	<div id="b2bking_container_quantity_value" class="b2bking_rule_select_container">
							                		<div class="b2bking_rule_label"><?php esc_html_e('Quantity/Value:','b2bkingmarketking'); ?></div>
							                		<select id="b2bking_rule_select_quantity_value" name="b2bking_rule_select_quantity_value">
							                			<option value="quantity"><?php esc_html_e('Quantity','b2bkingmarketking'); ?></option>
							                			<option value="value"><?php esc_html_e('Value','b2bkingmarketking'); ?></option>
							                		</select>
							                	</div>
							                	<div id="b2bking_container_howmuch" class="b2bking_rule_select_container">
							                		<div class="b2bking_rule_label"><?php esc_html_e('How much:','b2bkingmarketking'); ?></div>
							                		<input type="number" min="0.001" step="0.00001" name="b2bking_rule_select_howmuch" id="b2bking_rule_select_howmuch" value="<?php echo esc_attr(get_post_meta($post->ID, 'b2bking_rule_howmuch', true)); ?>">
							                	</div>

							                	<br /><br />
							                	<?php
							                	if (intval(get_option( 'b2bking_replace_product_selector_setting', 0 )) === 1){
							                		?>
							                	<div id="b2bking_rule_select_applies_replaced_container" >
							                		<div class="b2bking_rule_label"><?php esc_html_e('Product or Variation ID(s) (comma-separated):','b2bkingmarketking'); ?></div>
							                		<?php
							                		$replaced_content = get_post_meta($post->ID,'b2bking_rule_applies_multiple_options', true);
							                		$replaced_content_array = explode(',', $replaced_content);
							                		$replaced_content_string = '';
							                		foreach ($replaced_content_array as $element){
							                			$replaced_content_string.= substr($element, 8).',';
							                		}
							                		// remove last comma
							                		$replaced_content_string = substr($replaced_content_string, 0, -1);
							                		?>
							                		<input type="text" id="b2bking_rule_select_applies_replaced" name="b2bking_rule_select_applies_replaced" value="<?php echo esc_attr($replaced_content_string);?>">
							                	</div>
							                		<?php
							                	}
							                	?>

							                	<div id="b2bking_select_multiple_product_categories_selector" >
							                		<div class="b2bking_select_multiple_products_categories_title">
							                			<?php esc_html_e('Select multiple products','b2bkingmarketking'); ?>
							                		</div>
							                		<select id="b2bking_select_multiple_product_categories_selector_select" class="b2bking_select_multiple_product_categories_selector_select" name="b2bking_select_multiple_product_categories_selector_select[]" multiple>
							                	        <optgroup id="b2bking_products_optgroup" label="<?php esc_attr_e('Products (individual)', 'b2bkingmarketking'); ?>">
							                	        	<?php
							                	        	// Get all products
							                	        	$products = get_posts( array(
							                	        		'post_type' => 'product',
							                	        		'post_status'=>'publish',
							                	        		'author'=> $user_id, 
							                	        		'numberposts' => -1,
							                	        		'fields' => 'ids',
							                	        	));

							                	        	foreach ($products as $product){
							                	        		$productobj = wc_get_product($product);
							                	        		echo '<option value="product_'.esc_attr($product).'">'.esc_html($productobj->get_name()).'</option>';
							                	        	}
							                	        	?>
							                	        </optgroup>
							                	        <optgroup label="<?php esc_attr_e('Products (individual variations)', 'b2bkingmarketking'); ?>">
							                	        	<?php
							                	        	// Get all products
							                	        	$products = get_posts( array( 
							                	        		'post_type' => 'product_variation',
							                	        		'post_status'=>'publish',
							                	        		'author'=> $user_id, 
							                	        		'numberposts' => -1,
							                	        		'fields' => 'ids'
							                	        	));

							                	        	foreach ($products as $product){
							                					$productobj = wc_get_product($product);
							                	        		echo '<option value="product_'.esc_attr($product).'">'.esc_html($productobj->get_name()).'</option>';
							                	        		}
							                	        	?>
							                	        </optgroup>
							                		</select>
							                		<br /><button id="b2bking_select_all" type="button" class="btn btn-secondary"><?php esc_html_e('Select all', 'b2bkingmarketking'); ?></button>&nbsp;&nbsp;<button id="b2bking_unselect_all" class="btn btn-secondary" type="button"><?php esc_html_e('Unselect all', 'b2bkingmarketking'); ?></button>
							                	</div>

							                	<div id="b2bking_select_multiple_users_selector" >
							                		<div class="b2bking_select_multiple_products_categories_title">
							                			<?php esc_html_e('Select multiple options','b2bkingmarketking'); ?>
							                		</div>
							                		<select id="b2bking_select_multiple_users_selector_select" class="b2bking_select_multiple_product_categories_selector_select" name="b2bking_select_multiple_users_selector_select[]" multiple>
							                			<optgroup label="<?php esc_attr_e('Everyone', 'b2bkingmarketking'); ?>">
							                				<option value="all_registered"><?php esc_html_e('All registered users','b2bkingmarketking'); ?></option>
							                				<option value="everyone_registered_b2b"><?php esc_html_e('All registered B2B users','b2bkingmarketking'); ?></option>
							                				<option value="everyone_registered_b2c"><?php esc_html_e('All registered B2C users','b2bkingmarketking'); ?></option>
							                				<option value="user_0"><?php esc_html_e('All guest users (logged out)','b2bkingmarketking'); ?></option>

							                			</optgroup>
							                			<optgroup label="<?php esc_attr_e('B2B Groups', 'b2bkingmarketking'); ?>">
							                				<?php
							                				// Get all groups
							                				$groups = get_posts( array( 'post_type' => 'b2bking_group','post_status'=>'publish','numberposts' => -1) );
							                				foreach ($groups as $group){
							                					echo '<option value="group_'.esc_attr($group->ID).'">'.esc_html($group->post_title).'</option>';
							                				}
							                				?>
							                			</optgroup>
							                		</select>
							                	</div>

							                	<div class="b2bking_rule_label_discount"><?php esc_html_e('Additional options:','b2bkingmarketking'); ?></div>
							                	<div class="b2bking_dynamic_rule_discount_show_everywhere_checkbox_container">
							                		<div class="b2bking_dynamic_rule_discount_show_everywhere_checkbox_name">
							                			<?php esc_html_e('Show discount everywhere, as "Sale Price". Incompatible with "Value" conditions.','b2bkingmarketking'); ?>
							                		</div>
							                		<input type="checkbox" value="1" id="b2bking_dynamic_rule_discount_show_everywhere_checkbox_input" name="b2bking_dynamic_rule_discount_show_everywhere_checkbox_input" <?php checked(1,get_post_meta($post->ID,'b2bking_rule_discount_show_everywhere',true),true); ?>>
							                	</div>
							                	<!-- Information panel -->
							                	<div class="b2bking_discount_options_information_box">
							                		<svg class="b2bking_group_payment_shipping_information_box_icon" xmlns="http://www.w3.org/2000/svg" width="36" height="36" fill="none" viewBox="0 0 36 36">
							                		  <path fill="#358BBB" d="M18 0C8.06 0 0 8.06 0 18s8.06 18 18 18 18-8.06 18-18S27.94 0 18 0zm0 28.446a1.607 1.607 0 110-3.213 1.607 1.607 0 010 3.213zm2.527-8.819a1.941 1.941 0 00-1.241 1.8v.912a.322.322 0 01-.322.322h-1.928a.322.322 0 01-.322-.322v-.864c0-.928.27-1.844.8-2.607a4.49 4.49 0 012.093-1.643c1.366-.527 2.25-1.672 2.25-2.921 0-1.772-1.732-3.215-3.857-3.215s-3.857 1.443-3.857 3.215v.305a.322.322 0 01-.322.321h-1.928a.322.322 0 01-.322-.321v-.305c0-1.58.691-3.054 1.945-4.15C14.721 9.095 16.312 8.517 18 8.517c1.688 0 3.279.582 4.484 1.635 1.253 1.097 1.945 2.572 1.945 4.15 0 2.323-1.531 4.412-3.902 5.324z"/>
							                		</svg>
							                		<?php 
							                			esc_html_e('Checking this box will show discounts everywhere. Not checking it will show discounts in cart subtotal. ','b2bkingmarketking');
							                		?>
							                	</div>
							                	<br />
							                	<div class="b2bking_rule_select_container" id="b2bking_rule_select_conditions_container">
							                		<div class="b2bking_rule_label"><?php esc_html_e('Conditions: (optional)','b2bkingmarketking'); ?></div>
							                		<input type="text" name="b2bking_rule_select_conditions" id="b2bking_rule_select_conditions" value="<?php echo esc_attr(get_post_meta($post->ID, 'b2bking_rule_conditions', true)); ?>">
							                		<div id="b2bking_condition_number_1" class="b2bking_rule_condition_container">
							                			<select class="b2bking_dynamic_rule_condition_name b2bking_condition_identifier_1">
							                				<option value="product_quantity"><?php esc_html_e('Product Quantity','b2bkingmarketking'); ?></option>
							                				<option value="product_value"><?php esc_html_e('Product Value','b2bkingmarketking'); ?></option>
							                			</select>
							                			<select class="b2bking_dynamic_rule_condition_operator b2bking_condition_identifier_1">
							                				<option value="greater"><?php esc_html_e('greater (>)','b2bkingmarketking'); ?></option>
							                				<option value="equal"><?php esc_html_e('equal (=)','b2bkingmarketking'); ?></option>
							                				<option value="smaller"><?php esc_html_e('smaller (<)','b2bkingmarketking'); ?></option>
							                			</select>
							                			<input type="number" step="0.00001" class="b2bking_dynamic_rule_condition_number b2bking_condition_identifier_1" placeholder="<?php esc_attr_e('Enter the quantity/value','b2bkingmarketking');?>">
							                			<button type="button" class="b2bking_dynamic_rule_condition_add_button b2bking_condition_identifier_1"><?php esc_html_e('Add Condition', 'b2bkingmarketking'); ?></button>
							                		</div>
							                	</div>
							                	<div class="b2bking_rule_conditions_information_box">
							                		<svg class="b2bking_group_payment_shipping_information_box_icon" xmlns="http://www.w3.org/2000/svg" width="36" height="36" fill="none" viewBox="0 0 36 36">
							                		  <path fill="#358BBB" d="M18 0C8.06 0 0 8.06 0 18s8.06 18 18 18 18-8.06 18-18S27.94 0 18 0zm0 28.446a1.607 1.607 0 110-3.213 1.607 1.607 0 010 3.213zm2.527-8.819a1.941 1.941 0 00-1.241 1.8v.912a.322.322 0 01-.322.322h-1.928a.322.322 0 01-.322-.322v-.864c0-.928.27-1.844.8-2.607a4.49 4.49 0 012.093-1.643c1.366-.527 2.25-1.672 2.25-2.921 0-1.772-1.732-3.215-3.857-3.215s-3.857 1.443-3.857 3.215v.305a.322.322 0 01-.322.321h-1.928a.322.322 0 01-.322-.321v-.305c0-1.58.691-3.054 1.945-4.15C14.721 9.095 16.312 8.517 18 8.517c1.688 0 3.279.582 4.484 1.635 1.253 1.097 1.945 2.572 1.945 4.15 0 2.323-1.531 4.412-3.902 5.324z"/>
							                		</svg>
							                		<span id="b2bking_rule_conditions_information_box_text">
							                		<?php 
							                			esc_html_e('Conditions must apply cumulatively.','b2bkingmarketking');
							                		?>
							                		</span>
							                	</div>
							                </div>
							                <br />
							                <?php esc_html_e('Rule Title:','b2bkingmarketking'); ?>
							                <input type="text" required id="b2bking_new_rule_title" class="b2bking_offer_text_input b2bking_offer_item_name" placeholder="<?php esc_attr_e('Enter the rule title here','b2bkingmarketking'); ?>">
							                <input type="hidden" id="b2bking_new_rule_user_id" value="<?php echo esc_attr($user_id); ?>"><br /><br />
							                <div class="b2bking_marketking_save_new_rule_button_container">
							                	<button type="button" value="new" class="btn btn-secondary marketking-btn marketking-btn-theme b2bking_marketking_save_new_rule"><?php esc_html_e('Save Rule','b2bkingmarketking');?></button>
							                </div>
						                </div>
						            </div>
		                        </div><!-- .row -->
		                    </div><!-- .nk-block -->
		                </div>
		            </div>
		        </div>
		    </div>
		    <?php
		}
	}
}